CopyHero

Get Store Collections

GET
/api/v1/stores/{store_id}/collections

Fetch all collections (custom + smart) from Shopify store.

This is a proxy endpoint that forwards the request to Shopify and returns the collections directly to the frontend.

Authorization

HTTPBearer
headerAuthorizationBearer <token>

Path Parameters

store_id*Store Id

Response Body

Successful Response

application/json
  1. response
data*array<>

List of collections

count*Count

Total number of collections

Example Request
curl -X GET 'https://app.copyhero.app/api/v1/stores/0/collections'
Example Response
{  "data": [    {      "id": "string",      "title": "string",      "handle": "string"    }  ],  "count": 0}